{% extends 'm_productos/base.html' %}
{% load static %}
{% block contenido %}
<script>
    function pago(){
        Swal.fire({
            title: 'Esta apunto de realizar un pago',
            text: 'Desea Continuar',
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Sí'
          }).then((result) => {
            if (result.isConfirmed) {
              window.location.href="../perfil"
            }
          })
    }
</script>
<main style="align-items: center; margin-left:5%; margin-right:5%">
        <table class="table table-dark table-striped table-responsive table-hover tabla-centrada" style="opacity:0.9; margin-bottom: 0%">
            <h2 style="color:white">Carrito De Compras</h2>
            <thead>
                <tr>
                    <th>producto</th>
                    <th>cantidad</th>
                    <th></th>
                    <th>SubTotal</th>
                </tr>
            </thead>
            <tbody>
                {% for q in query %}
                <tr>
                    <th>{{q.id_producto.id_categoria}} : {{q.id_producto}}</th>
                    <th><input class="form-control" type="number" required minlength="1" value="{{q.cantidad}}"
                            disabled="true">
                    </th>
                    <th><a href="{% url 'eliminarCarrito' q.id %}" type="button" class="btn btn-danger">Eliminar</a>
                    </th>
                    <th class="precio" id="{{q.id_producto.precio}}">${{q.id_producto.precio}}</th>
                </tr>
                {% endfor %}
                <tr>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th></th>
                    <th id="total">{{sub_t}}</th>
                </tr>


            </tbody>
            <tfoot>
                <tr>
                    <th>
                        <div class="row">
                            <div class="col">
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="flexRadioDefault"
                                        id="flexRadioDefault1">
                                    <label class="form-check-label" for="flexRadioDefault1">
                                        Delivery
                                    </label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="flexRadioDefault"
                                        id="flexRadioDefault2" checked>
                                    <label class="form-check-label" for="flexRadioDefault2">
                                        Retiro en local
                                    </label>
                                </div>
                            </div>
                            <div class="col">
                                <select class="form-control-lg" id="categoria">
                                    <option value="efectivo">Efectivo</option>
                                    <option value="debito">Debito</option>
                                    <option value="credito">Credito</option>
                                </select>
                            </div>
                        </div>
                    </th>
                    <th>
                        <form action="" method="post">
                        {% csrf_token %}
                            <button type="submit" class="btn btn-danger">Limar Carrito</button>
                        </form>
                    </th>
                    <th>
                        <button type="button" onclick="pago()" class="btn btn-success">Pagar</button>
                    </th>
                    <th>
                        <p id="contenido"></p>
                        <p id="contenido2"></p>
                    </th>

                </tr>
            </tfoot>
        </table>
</main>
<script> 
    console.log('holi')

</script>

{% endblock contenido %}